Microsoft Unity 2.1 for Silverlight - May 2011 Release

Release Notes

Welcome to the release of Microsoft Unity 2.1 for Silverlight!

What’s New

This optional minor release of Unity for Silverlight adds support for virtual method and interface interception.

System Requirements

  • Operating system: Microsoft Windows® 7 Professional, Enterprise or Ultimate; Windows Server 2003 R2; Windows Server 2008 with Service Pack 2; Windows Server 2008 R2; or Windows Vista with Service Pack 2.
  • Microsoft Silverlight 4 or Silverlight 5 Beta.

For a rich development environment, the following are recommended:
  • Microsoft Visual Studio 2010 Development System (any edition).
  • Microsoft Silverlight 4 Tools for Visual Studio 2010.

To run the unit tests, the following are also required:
  • Silverlight Unit Testing Framework (part of the Silverlight 4 Toolkit April 2010).
  • Moq v3.1 assemblies.

If these dependencies are not met, you may not be able to use certain features of Unity for Silverlight.

Learning More

The following learning resources are recommended:

See also:

Providing Feedback

Microsoft would appreciate feedback on any issues found, or any other general comments on this release.
To report a bug, use online Issue Tracker. Other feedback or questions can be posted on the Unity Codeplex forum.

Last edited Jun 21, 2011 at 4:11 PM by gmelnik, version 1